For the complete documentation index, see llms.txt. This page is also available as Markdown.

Virtual IBAN balance reporting

Introduction

All customers subscribed to virtual IBANs product must report an actual balance of vIBAN on demand. To automate such queries customers must provide an API endpoint that will be called by GuruPay systems.

GuruPay system will issue a GET HTTP request to provided URL. Authorization header will be sent with customer generated API token.

Endpoint is expected to return vIBAN balance as an integer in cents.

Expected response specification

GET https://<balance-reporting-url>/:iban

Headers

Name
Value

Content-Type

application/json

Authorization

Bearer <token>

Path parameters

Name
Type
Description

iban

string

vIBAN. e.g. LT0034001

Response

{
  "balance": 5500
}

Last updated

Was this helpful?